Subject: Re: [lojban] Centripetal-centrifugal, little-endian--big-endian, subsets-contents, etc.

From: PILCH Hartmut <[email-masked]>
Date: Wed, 10 May 2000 21:39:40 +0000 (/etc/localtime)

> I am inclined to think that the fact that human languages fairly regularly 
> offer centrifugal constructions is itself evidence that the centripetal-only 
> thought pattern is not in fact the rule. 

The European languages are a tiny minority on the planet, but they have,
not through language design merits, marginalised most of the others.

> And, of course, none of this decides the structure of dates, since it is 
> equally possible (and, to me, more natural) to take the year as the name of a 
> set and a month as specifying a subset within that set and the day as 
> specifying a unit subset within that and thus get dmy again but as a 
> centripetal structure.

You mean something like	

the year 2001 .
which year 20001 ?
the year 2001 of the 5th month .
of which month 5 ?
the year 2001 of the 5th month of the 20th day .

but I fail to assign this any meaning.

> Of course if you label the units (as the Chinese fairly regularly do) then 
> you can use any order, since there is no ambiguity about what the numbers 
> mean. 

the short form originates from the long one. One can only elide in a
meaningful way, when one has a well constructed long form.

> One final item on centripetal -- left expanding -- strings. My memory of 
> Language Theory (admittedly often 40 years old) is that there was an 
> empirical law to the effect that there was an upper limit (probably the 
> classic 5+/- 2) on the length of left-branching structures that a human mind 
> could process. Insofar as centripetal structures are left-branching (and 
> that may vary with the kind of structure) this would mean that they could not 
> handle all situations, that some centrifugal forms are necessary. Does 
> anyone know whether that rule has been repudiated? Can anyone work out the 
> branching structure of various types of centripetal constructions?

I don't think so.
Chinese state agencies at all levels are always named with a centripetal
pattern based on leftward expansion, i.e. with the outermost / uppermost
hierarchy level on the left.
This is very easy to handle for the human mind.
Anything else wouldn't be, because languages usually don't offer enough
brace structures that could tell the listener when to switch back and
forth between the directions.

-phm